# Uses of Enum Class
org.apache.lucene.document.RangeFieldQuery.QueryType

Packages that use RangeFieldQuery.QueryType
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of RangeFieldQuery.QueryType in org.apache.lucene.document

  Methods in org.apache.lucene.document that return RangeFieldQuery.QueryType
  Modifier and Type
  Method
  Description
  `static RangeFieldQuery.QueryType`
  RangeFieldQuery.QueryType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RangeFieldQuery.QueryType[]`
  RangeFieldQuery.QueryType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.document with parameters of type RangeFieldQuery.QueryType
  Modifier
  Constructor
  Description
  `protected`
  `RangeFieldQuery(String field, byte[] ranges, int numDims, RangeFieldQuery.QueryType queryType)`
  Create a query for searching indexed ranges that match the provided relation.